package com.zcxk.dao;

import com.zcxk.dto.ReportStatisticalDimensionDto;
import com.zcxk.entity.ReportDimensionSettingEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ReportDimensionSettingMapper {

    void saveDimensionSetting(ReportStatisticalDimensionDto dto);

    List<ReportDimensionSettingEntity> findDimensionSetting(Integer userId);

    List<ReportDimensionSettingEntity> findHistoryDataDimensionSetting(Integer userId);

    void updateDimensionSetting(ReportStatisticalDimensionDto dto);
}
